TCustomServerSocket (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class TCustomServerSocket

    java.lang.Object
      org.apache.thrift.transport.TServerTransport
          org.apache.cassandra.thrift.TCustomServerSocket

    public class TCustomServerSocket

extends org.apache.thrift.transport.TServerTransport

Extends Thrift's TServerSocket to allow customization of various desirable TCP properties.

Constructor Summary
`TCustomServerSocket(java.net.InetSocketAddress bindAddr, boolean keepAlive, java.lang.Integer sendBufferSize, java.lang.Integer recvBufferSize)` Allows fine-tuning of the server socket including keep-alive, reuse of addresses, send and receive buffer sizes.

Method Summary
`protected TCustomSocket` | `acceptImpl()`
`void` | `close()`
`void` | `interrupt()`
`void` | `listen()`

Methods inherited from class org.apache.thrift.transport.TServerTransport
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCustomServerSocket

    public TCustomServerSocket(java.net.InetSocketAddress bindAddr,
                               boolean keepAlive,
                               java.lang.Integer sendBufferSize,
                               java.lang.Integer recvBufferSize)
                        throws org.apache.thrift.transport.TTransportException

  Allows fine-tuning of the server socket including keep-alive, reuse of addresses, send and receive buffer sizes.

  Parameters:
    `bindAddr` -
    `keepAlive` -
    `sendBufferSize` -
    `recvBufferSize` -
  Throws:
    `org.apache.thrift.transport.TTransportException`

Method Detail

### acceptImpl

    protected TCustomSocket acceptImpl()
                                throws org.apache.thrift.transport.TTransportException

  Specified by:
    `acceptImpl` in class `org.apache.thrift.transport.TServerTransport`
  Throws:
    `org.apache.thrift.transport.TTransportException`

### listen

    public void listen()
                throws org.apache.thrift.transport.TTransportException

  Specified by:
    `listen` in class `org.apache.thrift.transport.TServerTransport`
  Throws:
    `org.apache.thrift.transport.TTransportException`

### close

    public void close()

  Specified by:
    `close` in class `org.apache.thrift.transport.TServerTransport`

### interrupt

    public void interrupt()

  Overrides:
    `interrupt` in class `org.apache.thrift.transport.TServerTransport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation